Subject: Re: [PATCH v2] Parameterize EMAC Multicast Match Handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 01 Jul 2008 16:14:59 +1000

> Stefan and/or Ben:
> Any thoughts on this?

I was hesitating a bit... do we really need to be -that- flexible ?

That is, either that or use some new compatible entry to detect the new
reg layout and whack that as a feature bit instead ? The advantage
of the later is that we have the possibility of doing conditional
compile for kernels that support only a given processor or set of
processors (not that we have implemented much of it, but it just
becomes Kconfig mumbo jumbo and a little bit of defines in the .h
by turning the feature test into a compile-time 0 or 1.

But this isn't a hot path and not a lot of code so maybe not worth
bothering... however, it does add 3 properties to the DT and I know
embedded people (especially Xilinx) are a bit concerned about the size
of the DT when they try to fit it in block RAM...

Cheers,
Ben.